(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "react", "../Box"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("react"), require("../Box"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global.react, global.Box);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _react, _Box) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _react = _interopRequireDefault(_react);
  _Box = _interopRequireDefault(_Box);

  /**
   * File: /src/components/Avatar/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 13-06-2022 00:51:44
   * Author: Clay Risser
   * -----
   * Last Modified: 15-07-2022 05:20:03
   * Modified By: Manikanta
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const Avatar = props => {
    const sx = { ...Avatar.defaultSx,
      ...props.sx
    };
    return /*#__PURE__*/_react.default.createElement(_Box.default, {
      themeKey: "images",
      variant: "avatar",
      sx: { ...sx
      }
    }, props.children);
  };

  Avatar.defaultProps = {
    sx: {},
    isImage: false,
    name: "",
    uri: ""
  };
  Avatar.defaultSx = {
    maxWidth: "100%",
    bg: "primary",
    border: 0,
    alignItems: "center",
    justifyContent: "center",
    width: 50,
    height: 50,
    borderRadius: 25,
    overflow: "hidden",
    borderWidth: 1,
    borderColor: "primary"
  };
  var _default = Avatar;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map