/**
 * File: /src/components/MenuButton/index.tsx
 * Project: @native-theme-ui/core
 * File Created: 19-06-2022 06:50:27
 * Author: K S R P BHUSHAN
 * -----
 * Last Modified: 10-08-2022 06:36:38
 * Modified By: Clay Risser
 * -----
 * Risser Labs LLC (c) Copyright 2021 - 2022
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { SxProp } from "@dripsy/core";
import { PressableProps as RNPressableProps, ImageProps as RNImageProps, ImageSourcePropType } from "react-native";
import { DripsyFC } from "../../dripsyHelper";
import { AutoContrast } from "@risserlabs/auto-contrast";
export interface PressableProps extends RNPressableProps {
    sx?: SxProp;
}
export interface ImageProps extends RNImageProps {
    autoContrast?: AutoContrast;
    source: ImageSourcePropType;
    menuSx?: SxProp;
}
export declare type MenuButtonProps = PressableProps & ImageProps;
declare const MenuButton: DripsyFC<MenuButtonProps>;
export default MenuButton;
