(function (global, factory) {
  if (typeof define === "function" && define.amd) {
    define(["exports", "@babel/runtime/helpers/extends", "react", "../Pressable", "../Image"], factory);
  } else if (typeof exports !== "undefined") {
    factory(exports, require("@babel/runtime/helpers/extends"), require("react"), require("../Pressable"), require("../Image"));
  } else {
    var mod = {
      exports: {}
    };
    factory(mod.exports, global._extends, global.react, global.Pressable, global.Image);
    global.index = mod.exports;
  }
})(typeof globalThis !== "undefined" ? globalThis : typeof self !== "undefined" ? self : this, function (_exports, _extends2, _react, _Pressable, _Image) {
  "use strict";

  var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

  Object.defineProperty(_exports, "__esModule", {
    value: true
  });
  _exports.default = void 0;
  _extends2 = _interopRequireDefault(_extends2);
  _react = _interopRequireDefault(_react);
  _Pressable = _interopRequireDefault(_Pressable);
  _Image = _interopRequireDefault(_Image);

  /**
   * File: /src/components/MenuButton/index.tsx
   * Project: @native-theme-ui/core
   * File Created: 19-06-2022 06:50:27
   * Author: K S R P BHUSHAN
   * -----
   * Last Modified: 10-08-2022 06:36:38
   * Modified By: Clay Risser
   * -----
   * Risser Labs LLC (c) Copyright 2021 - 2022
   *
   * Licensed under the Apache License, Version 2.0 (the "License");
   * you may not use this file except in compliance with the License.
   * You may obtain a copy of the License at
   *
   *     http://www.apache.org/licenses/LICENSE-2.0
   *
   * Unless required by applicable law or agreed to in writing, software
   * distributed under the License is distributed on an "AS IS" BASIS,
   * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   * See the License for the specific language governing permissions and
   * limitations under the License.
   */
  const MenuButton = props => {
    const sx = { ...MenuButton.defaultSx,
      ...props.sx
    };
    const menusx = { ...props.menuSx
    };
    return /*#__PURE__*/_react.default.createElement(_Pressable.default, (0, _extends2.default)({}, props, {
      sx: { ...sx
      },
      onPress: props.onPress
    }), /*#__PURE__*/_react.default.createElement(_Image.default, {
      source: props.source,
      sx: { ...menusx
      }
    }));
  };

  MenuButton.defaultProps = {
    sx: {},
    menuSx: {}
  };
  MenuButton.defaultSx = {
    maxWidth: "100%",
    bg: "primary",
    alignItems: "center",
    justifyContent: "center"
  };
  var _default = MenuButton;
  _exports.default = _default;
});
//# sourceMappingURL=index.js.map